--
-- file prepared: 14 November 2025 19:32:26.497, using fd697d2
--
self_ID = "me262"
declare_plugin(self_ID,
{
	displayName = _("me262"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("me262"),

	version = " ",
	state = "installed",
	info = _("The Messerschmitt Me262, nicknamed Schwalbe (German: 'Swallow') in fighter versions, or Sturmvogel (German: 'Storm Bird') in fighter-bomber versions, is a fighter aircraft and fighter-bomber that was designed and produced by the German aircraft manufacturer Messerschmitt. It was the world's first operational jet-powered fighter aircraft. One of the most advanced WWII combat aircraft, the Me262 operated as a light bomber, reconnaissance, and experimental night fighter. The Me262 proved an effective dogfighter against Allied fighters; German pilots claimed 542 Allied aircraft shot down, although higher claims have sometimes been made. The aircraft had reliability problems because of strategic materials shortages and design compromises with its Junkers Jumo 004 axial-flow turbojet engines. Late-war Allied attacks on fuel supplies also reduced the aircraft's readiness for combat and training sorties. Armament production within Germany was focused on more easily manufactured aircraft. Ultimately, the Me 262 had little effect on the war because of its late introduction and the small numbers that entered service. (source: https://en.wikipedia.org/wiki/Messerschmitt_Me_262#Specifications_(Messerschmitt_Me_262_A-1a)  "),

	update_id = "me262",

	Skins =
	{
		{
			name = _("me262"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("me262"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("me262"),
			type = "me262",
		},
	},
	InputProfiles =
	{
		["me262"] = current_mod_path .. '/Input/me262',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('me262', ViewSettings, SnapViews)
make_flyable('me262', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/me262.lua')
------------------------------------------------------------------------------------ -
plugin_done()

